Create a shot in a project. Provide name and optional fields like description, sequence_id and nb_frames.
POST
/data/projects/{project_id}/shots
curl
curl -X POST "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/shots" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "SH010",
"description": "A short description of the shot",
"sequence_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"nb_frames": 24
}'
import requests
url = "http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/shots"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "SH010",
"description": "A short description of the shot",
"sequence_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"nb_frames": 24
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c25/shots' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"SH010","description":"A short description of the shot","sequence_id":"a24a6ea4-ce75-4665-a070-57453082c25","nb_frames":24}'
Request examples
{
"name": "SH010",
"description": "A short description of the shot",
"sequence_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"nb_frames": 24
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "SH010",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"sequence_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"nb_frames": 24,
"description": "A short description of the shot"
}